#####################################################################################
# 
# SWORD Configuration File
#
#####################################################################################

use strict;

$c->{sword} = {} unless exists $c->{sword};
my $sword = $c->{sword};

# Defines the allowed mediation. By default no mediations are allowed.
$sword->{allowed_mediations} = {} unless 
               exists $sword->{allowed_mediations} ;
$sword->{allowed_mediations} = 
{
#	"*" => ["*"],		# ALLOW ANY MEDIATIONS
#	"seba" => ["admin"],	# ALLOW 'seba' TO DEPOSIT FOR 'admin'
#	"seba" => ["*"],	# ALLOW 'seba' TO DEPOSIT FOR EVERYONE

};

# Override the default settings for the service (only title and generator).
$sword->{service_conf} = {
	title => "OpenDepot.org",
  generator => "OpenDepot.org Repositor",
};

# All collections inherit this: (in other words all collections accept the same MIME types)
$sword->{accept_mime_types} = [] unless
          exists $sword->{accept_mime_types};
push @{$sword->{accept_mime_types}}, "*/*";

# Defines the available collections on this repository.
$sword->{collections} = {} unless exists $sword->{collections};
$sword->{collections}->{"inbox"} = 
	{
			title => "User Area",
			sword_policy => "This collection accepts packages from any registered users on this repository.",
			dcterms_abstract => "This is your user area.",
			mediation => "false", #"true",	#false to turn off mediation for that collection
			treatment => "Deposited items will remain in your user inbox until you manually send them for reviewing.",
			#accept_mime_types => [ "image/jpeg", "application/pdf" ],
	};

$sword->{collections}->{"buffer"} = 
	{
       title => "Repository Review",   # title of this collection
       sword_policy => "",
       dcterms_abstract => "This is the repository review.",
       mediation => "false", #"true",    #false to turn off mediation for that collection
       treatment => "Deposited items will undergo the review process. Upon approval, items will appear in the live repository.",
        };

# By default, the live archive is disabled. Comment out to re-enable it.
$sword->{collections}->{"archive"} =
  {
			title => "Live Repository",
			sword_policy => "Live archive policy",
			dcterms_abstract => "This is the live repository",
			mediation => "false",
			treatment => "Deposited items will appear publicly.",
	};


$sword->{enable_generic_importer} = 1 unless
      exists $sword->{enable_generic_importer};

$sword->{supported_packages} = {} unless 
      exists $sword->{supported_packages};

# This is a hash that links the Package Format URI to the Perl packages that
# handle them.
$sword->{supported_packages}->{"http://eprints.org/ep2/data/2.0"} = 
		{
			name => "EPrints XML",
			plugin => "Sword::Import::EPrintsXML",
			qvalue => "1.0"
		};
$sword->{supported_packages}->{"http://www.loc.gov/METS/"} = 
		{
			name => "METS",
			plugin => "Sword::Import::METS",
			qvalue => "0.2"
		};
	
$sword->{supported_packages}->{"http://www.imsglobal.org/xsd/imscp_v1p1"} =
		{
			name => "IMS Content Packaging 1.1.x",
			plugin => "Sword::Import::IMS",
			qvalue => "0.2"			
		};
$sword->{supported_packages}->{"http://purl.org/net/sword-types/METSDSpaceSIP"} =
        {
            name => "METS DSpace SIP",
            plugin => "Sword::Import::METS",
            qvalue => "0.2"
        };
